# 环境配置
server:
  port: 9013
  servlet:
    context-path: /api/yangu

# condition
spel:
  scheduling: true        # 定时任务是否执行
  multiSource: false      # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: mu123
    url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect

# dingtalk
dingtalk:
  agentId: 2673435445
  appKey: dingozv6fzkpqkiupd3d
  appSecret: bO4AA6ujXj8xgLBJI5pR7ns0vRsHCn8Ng9fTf9WF95HTOlCW0oybYpHsuxXuBPiO
  corpId: dingcc1b1ffad0d5ca1d
  aesKey:
  token:
  operator: ""   # OA管理员账号 [0开头需要转一下字符串]

# aliwork
aliwork:
  appType: APP_ZL5NE83JE84UUACZDD03
  systemToken: 3J966U61PPNCA6ROEIX8L8TY6DF33EYW60BKLY

# tencent [腾讯云]
tencent:
  APPID: 1309939821
  SecretId: AKID2uqoryukbO2XuBThuxzdEpnmnmoocuCH
  SecretKey: wnmgYHo8wrmjlldKoHnIkDZlqvrVDpOz
  Region: ap-shanghai
